libcoap 4.3.2rc2

Data Structures | Typedefs | Enumerations | Functions
coap_oscore_internal.h File Reference

CoAP OSCORE internal information. More...

`#include "oscore/oscore_context.h"`

Go to the source code of this file.

## Data Structures
struct | coap_oscore_conf_t
| The structure used to hold the OSCORE configuration information. More...

## Typedefs
typedef enum oscore_partial_iv_t | oscore_partial_iv_t

## Enumerations
enum | oscore_partial_iv_t { OSCORE_SEND_NO_IV , OSCORE_SEND_PARTIAL_IV }

## Functions
coap_pdu_t * | coap_oscore_new_pdu_encrypted (coap_session_t *session, coap_pdu_t *pdu, coap_bin_const_t *kid_context, oscore_partial_iv_t send_partial_iv)
| Encrypts the specified `pdu` when OSCORE encryption is required on `session`. More...
struct coap_pdu_t * | coap_oscore_decrypt_pdu (coap_session_t *session, coap_pdu_t *pdu)
| Decrypts the OSCORE-encrypted parts of `pdu` when OSCORE is used. More...
void | coap_delete_all_oscore (coap_context_t *context)
| Cleanup all allocated OSCORE information. More...
void | coap_delete_oscore_associations (coap_session_t *session)
| Cleanup all allocated OSCORE association information. More...
size_t | coap_oscore_overhead (coap_session_t *session, coap_pdu_t *pdu)
| Determine the additional data size requirements for adding in OSCORE. More...
int | coap_rebuild_pdu_for_proxy (coap_pdu_t *pdu)
| Convert PDU to use Proxy-Scheme option if Proxy-Uri option is present. More...
int | coap_oscore_initiate (coap_session_t *session, coap_oscore_conf_t *oscore_conf)
| Initiate an OSCORE session. More...

## Detailed Description

CoAP OSCORE internal information.

Definition in file coap_oscore_internal.h.